# $Revision: 1.14 $, $Date: 2008-03-26 08:05:49 $
Summary:	An English-language thesaurus library
Summary(pl.UTF-8):	Angielskojęzyczna biblioteka słownika wyrazów bliskoznacznych
Name:		aiksaurus
Version:	1.2.1
Release:	6
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/aiksaurus/%{name}-%{version}.tar.gz
# Source0-md5:	3eae03b7c49843ccc9262e52846ea6b4
Patch0:		%{name}-pkgconfig.patch
URL:		http://aiksaurus.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 2:2.0.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
Obsoletes:	Aiksaurus
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Aiksaurus is an English-language thesaurus library that can be
embedded in word processors, email composers, and other authoring
software to provide thesaurus capabilities. A basic command line
thesaurus program is also included.

%description -l pl.UTF-8
Angielskojęzyczna biblioteka słownika wyrazów bliskoznacznych, która
może być stosowana w procesorach tekstu, klientach pocztowych i innym
oprogramowaniu. Prosty program działający z linii poleceń również
został dołączony.

%package devel
Summary:	Header files for Aiksaurus
Summary(pl.UTF-8):	Pliki nagłówkowe Aiksaurus
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Obsoletes:	Aiksaurus-devel

%description devel
The header files are only needed for development of programs using the
Aiksaurus.

%description devel -l pl.UTF-8
W pakiecie tym znajdują się pliki nagłówkowe, przeznaczone dla
programistów używających bibliotek Aiksaurus.

%package static
Summary:	Static Aiksaurus library
Summary(pl.UTF-8):	Biblioteka statyczna Aiksaurus
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	Aiksaurus-static

%description static
Static Aiksaurus library.

%description static -l pl.UTF-8
Biblioteka statyczna Aiksaurus.

%package gtk
Summary:	GTK+ frontend for Aiksaurus, an English thesaurus
Summary(pl.UTF-8):	Frontend GTK+ dla Aiksaurusa - angielskojęzycznego słownika wyrazów bliskoznacznych
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2 >= 2:2.0.0

%description gtk
GTK+ frontend for Aiksaurus, an English thesaurus.

%description gtk -l pl.UTF-8
Frontend GTK+ dla Aiksaurusa - angielskojęzycznego słownika wyrazów
bliskoznacznych.

%package gtk-devel
Summary:	Header files for GTK+ frontend for Aiksaurus
Summary(pl.UTF-8):	Pliki nagłówkowe frontendu GTK+ dla Aiksaurusa
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gtk = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.0.0

%description gtk-devel
Header files for GTK+ frontend for Aiksaurus.

%description gtk-devel -l pl.UTF-8
Pliki nagłówkowe frontendu GTK+ dla Aiksaurusa.

%package gtk-static
Summary:	Static version of GTK+ frontend for Aiksaurus
Summary(pl.UTF-8):	Statycza wersja frontendu GTK+ dla Aiksaurusa
Group:		Development/Libraries
Requires:	%{name}-gtk-devel = %{version}-%{release}

%description gtk-static
Static version of GTK+ frontend for Aiksaurus.

%description gtk-static -l pl.UTF-8
Statycza wersja frontendu GTK+ dla Aiksaurusa.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
LDFLAGS="%{rpmldflags} -Wl,--as-needed"
%configure \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	gtk -p /sbin/ldconfig
%postun	gtk -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README base/CHANGES
%attr(755,root,root) %{_bindir}/aiksaurus
%attr(755,root,root) %{_bindir}/caiksaurus
%attr(755,root,root) %{_libdir}/libAiksaurus-*.so.*.*.*
%{_datadir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libAiksaurus.so
%{_libdir}/libAiksaurus.la
%{_includedir}/Aiksaurus
%exclude %{_includedir}/Aiksaurus/AiksaurusGTK*.h
%{_pkgconfigdir}/aiksaurus-*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libAiksaurus.a

%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gaiksaurus
%attr(755,root,root) %{_libdir}/libAiksaurusGTK-*.so.*.*.*

%files gtk-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libAiksaurusGTK.so
%{_libdir}/libAiksaurusGTK.la
%{_includedir}/Aiksaurus/AiksaurusGTK*.h
%{_pkgconfigdir}/gaiksaurus-*.pc

%files gtk-static
%defattr(644,root,root,755)
%{_libdir}/libAiksaurusGTK.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: aiksaurus.spec,v $
Revision 1.14  2008-03-26 08:05:49  glen
- lower unneccessary ver bump

Revision 1.13  2007-02-12 21:23:46  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.11  2006/07/13 16:05:49  freetz
- rel.5, updated deps, --as-needed for LDFLAGS

Revision 1.10  2006/07/11 10:24:04  jareq
- rebuild with libpng
- rel 5
- STBR to NEST

Revision 1.9  2006/06/11 16:23:06  freetz
- rel.4, rebuild with new gtk+

Revision 1.8  2006/03/28 18:50:55  freetz
- added pkgconfig patch, rel.3

Revision 1.7  2004/11/27 18:52:05  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.6  2004/08/16 12:56:08  ankry
- rel. 2 to rebuild

Revision 1.5  2004/07/03 23:21:42  qboosh
- updated to 1.2.1, removed obsolete enable_deprecated patch

Revision 1.4  2004/03/12 16:00:21  grzegol
- sorted BRs; strict internal deps

Revision 1.3  2004/03/11 12:50:31  freetz
- now builds against gtk+2 2.4 (deprecations enabled - patch added), rel ++

Revision 1.2  2003/11/25 10:12:02  averne
- r2

Revision 1.1  2003/10/31 11:17:55  qboosh
- Aiksaurus has been renamed to aiksaurus
- updated to 1.0.1, updated URLs
- added gtk frontend as subpackages

Revision 1.12  2003/10/07 13:59:02  ankry
- pl fix

Revision 1.11  2003/10/07 12:08:29  qboosh
- cosmetics, removed autogenerated symlink

Revision 1.9  2003/05/28 12:58:46  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2002/11/25 14:12:17  ankry
- massive attack: no need for 755 for *.la

Revision 1.6  2002/10/09 13:14:13  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.5  2002/06/23 20:32:18  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.4  2002/05/25 20:15:32  kloczek
- use new %doc infrastructure.

Revision 1.3  2002/05/21 23:12:35  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.2  2002/04/20 13:22:30  kloczek
- cosmetics.

Revision 1.1  2002/04/20 13:07:05  misiek
- initial pld release
